Bug 41854 - DatabaseRebuild utility changes
Summary: DatabaseRebuild utility changes
Status: CLOSED FIXED
Alias: None
Product: Xindice
Classification: Unclassified
Component: DB Engine (show other bugs)
Version: cvs head (1.1)
Hardware: Other other
: P2 enhancement
Target Milestone: ---
Assignee: Xindice Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-15 18:14 UTC by Natalia Shilenkova
Modified: 2007-04-03 15:10 UTC (History)
0 users



Attachments
DatabaseRebuild patch (12.90 KB, patch)
2007-03-15 18:17 UTC, Natalia Shilenkova
Details | Diff
rebuild.sh (2.55 KB, text/plain)
2007-03-15 18:18 UTC, Natalia Shilenkova
Details
DatabaseRebuild.patch (20.46 KB, patch)
2007-04-02 18:24 UTC, Natalia Shilenkova
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Natalia Shilenkova 2007-03-15 18:14:47 UTC
DatabaseRebuild changes, shell script
Comment 1 Natalia Shilenkova 2007-03-15 18:17:07 UTC
Created attachment 19716 [details]
DatabaseRebuild patch

Several enhancements, problems fixed
Comment 2 Natalia Shilenkova 2007-03-15 18:18:13 UTC
Created attachment 19717 [details]
rebuild.sh

Shell script for running the utility
Comment 3 Natalia Shilenkova 2007-04-02 18:24:47 UTC
Created attachment 19894 [details]
DatabaseRebuild.patch

Added ability to rebuild HashFiler collections, minor changes to XMLTools.
Comment 4 Vadim Gritsenko 2007-04-03 15:10:23 UTC
Applied. You probably forgot to include patch for HashFiler itself - I had to
remove 'final' and changed hash filer page header access from private to
protected. Thanks for the patch.